WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: Wordfence Security] PHP Error – wfDB

[Resolved] [Plugin: Wordfence Security] PHP Error – wfDB

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Wordfence
    Participant

    @mmaunder

    It looks like Wordfence is having trouble connecting to your database. Are you seeing any additional errors or just that one?

    Regards,

    Mark.

    contactmeviainternet
    Member

    @contactmeviainternet

    Thanks for getting back to me.

    I’m also getting three other mysql related errors:

    PHP Warning: mysql_ping() expects parameter 1 to be resource, boolean given in wfDB.php on line 52

    PHP Warning: mysql_select_db(): supplied argument is not a valid MySQL-Link resource in wfDB.php on line 57

    PHP Warning: mysql_connect() [function.mysql-connect]: User x already has more than ‘max_user_connections’ active connections in wfDB.php on line 56

    Plugin Author Wordfence
    Participant

    @mmaunder

    Hi,

    These are all related to the fact that Wordfence can’t connect to your database. We have many customers on Hostgator who aren’t experiencing problems, so I’d like to find out more about your configuration and why it’s not able to connect to the database.

    Have you customized anything about your WordPress installation and the way it connects to the DB?

    Thanks,

    Mark.

    I’m getting the same 3 errors. Have been for a month or so. It is constant recurring, and blows up my error logs by 30-40MB per day. Thing is, it only happens in my production installation. I have an exact replica running on a “test” environment with the same hosting company, and it is not giving me the errors.

    I even wiped out the wordpress directories and database in production and restored them. Still the same problem.

    What are these errors?

    contactmeviainternet
    Member

    @contactmeviainternet

    I’ve done most of the suggestions mentioned in the Hardening WordPress article.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] [Plugin: Wordfence Security] PHP Error – wfDB’ is closed to new replies.